package com.ho.business.mapper;

/**
* @author yule
* @description 针对表【work_order】的数据库操作Mapper
* @createDate 2022-10-14 10:37:27
* @Entity com.ho.flow.vo.WorkOrder
*/
//@Mapper
public interface WorkOrderMapper {

/*
    int deleteByPrimaryKey(List<String> orderIds);


    int insertSelective(WorkOrder record);

    WorkOrder selectByPrimaryKey(Long id);
    //
    WorkOrder selectByOrderId(String orderId);

    int updateByPrimaryKeySelective(WorkOrder record);

    int updateByPrimaryKey(WorkOrder record);

    WorkOrder selectByStatus(@Param("orderId") String orderId);

    List<WorkOrderPageRespVO> selectByPageInfo(WorkOrderPageReq vo);

    List<WorkOrderPageRespVO> selectByHisPageInfo(WorkOrderPageReq vo);

    int insertBatch(@Param("list")List<WorkOrder> workOrders);

    List<WorkOrder> selectByEventIds(List<Long> eventIds);

    void delete(String orderId);

    //退回工单
    void updateReturnWorkOrder(WorkOrder workOrder);*/
}
